Class | Chef::Provider::Env::Windows
In: | lib/chef/provider/env/windows.rb
Parent: | Chef::Provider::Env

### Methods

broadcast_env_change create_env delete_env env_obj env_value

### Constants

HWND_BROADCAST | = | 0xffff |  | see: msdn.microsoft.com/en-us/library/ms682653%28VS.85%29.aspx
WM_SETTINGCHANGE | = | 0x001A
SMTO_BLOCK | = | 0x0001
SMTO_ABORTIFHUNG | = | 0x0002
SMTO_NOTIMEOUTIFNOTHUNG | = | 0x0008

### Public Instance methods

broadcast_env_change()
create_env()
delete_env()
env_obj(key_name)
env_value(key_name)

[Validate]